xine-lib: Data Fields

xine-lib 1.2.12

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - t -

- t : pulldown_metrics_s, xine_mfrag_frag_t, xine_ticket_private_t
- t0 : deinterlace_scanline_data_s, rgb2yuy2_s
- t1 : deinterlace_scanline_data_s, rgb2yuy2_s
- t2 : deinterlace_scanline_data_s, rgb2yuy2_s
- t3 : deinterlace_scanline_data_s
- t_comment : theora_decoder_s
- t_frame : sequence_t
- t_info : theora_decoder_s
- t_state : theora_decoder_s
- table_base : yuv2rgb_factory_impl_s
- table_bU : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- table_gU : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- table_gV : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- table_mmx : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- table_rV : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- tabsize : _INSTRUCTION_FLOW
- tag : id3v1_tag_t, mpeg2_picture_s, ogg_meta
- tag2 : mpeg2_picture_s
- tag2_current : mpeg2dec_s
- tag2_previous : mpeg2dec_s
- tag_current : mpeg2dec_s
- tag_previous : mpeg2dec_s
- tail : dlist_t, xine_ring_buffer_s
- tail_release : xine_ring_buffer_s
- target : spu_encoder_s
- tbre_bytes : demux_ts_t
- tbre_lastpos : demux_ts_t
- tbre_lasttime : demux_ts_t
- tbre_mode : demux_ts_t
- tbre_pid : demux_ts_t
- tbre_time : demux_ts_t
- tbuf : demux_mpeg_s
- temp : directfb_driver_s
- temp_frame_format : directfb_driver_s
- temp_frame_height : directfb_driver_s
- temp_frame_width : directfb_driver_s
- tempbuf : demux_flv_t, vdec_hw_h264_s
- temporal : noise_param_t
- temporal_is_supported : vdpau_driver_t
- temporal_reference : mpeg2_picture_s
- temporal_spatial_is_supported : vdpau_driver_t
- tentacles_fx : _PLUGIN_INFO
- TerminateQTML : qta_decoder_s
- tex : opengl2_overlay_t, opengl2_yuvtex_t
- tex_h : opengl2_overlay_t
- tex_height : opengl_driver_t
- tex_w : opengl2_overlay_t
- tex_width : opengl_driver_t
- text : cmml_anchor_s, demux_iff_t, spucmml_decoder_s, sputext_decoder_s, subtitle_t
- text_domain : audio_decoder_class_s, audio_driver_class_s, demux_class_s, input_class_s, post_class_s, spu_decoder_class_s, video_decoder_class_s, video_driver_class_s, xine_module_class_s
- text_len : xine_fast_text_s
- textcol : colorinfo_s
- textpalette : osd_renderer_s
- texture : XineOpenGLView
- texture_float : opengl2_class_t, opengl2_driver_t
- texture_rg : opengl2_class_t
- textureBuffer : XineOpenGLView
- tget : fifo_buffer_s
- theMode : _ZOOM_FILTER_FX_WRAPPER_DATA
- theora_decoder : theora_decoder_s
- theta : _CONV_DATA
- this : alsa_driver_s::_alsa_dev_info_s, dvd_input_saved_buf_u, ff_saved_frame_t, va_property_t, vidix_property_s, xv_property_t, xxmc_property_t
- thread : alsa_driver_s, xine_nbc_st, xine_stream_private_st
- thread_count : ff_video_class_s
- thread_created : alsa_driver_s, xine_stream_private_st
- thread_running : demux_eawve_t, xine_stream_private_st
- tick_count : demux_mng_t
- ticket_revoked : xine_ticket_s
- tickets_granted : xine_ticket_private_t
- time : denoise3d_parameters_s, sequence_t
- time_base : sequence_t
- time_code_hours : picture_s
- time_code_minutes : picture_s
- time_code_pictures : picture_s
- time_code_seconds : picture_s
- time_end : _CMediaSample, matroska_chapter_t
- time_increment_bits : sequence_t
- time_length : demux_ogg_s
- time_offset : asf_stream_s, sei_message
- time_offset_length : hrd_parameters
- time_scale : seq_parameter_set_rbsp, vdec_hw_h264_vui_t
- time_start : _CMediaSample, matroska_chapter_t
- time_to_sample_count : qt_trak
- time_to_sample_table : qt_trak
- time_url : mpd_input_plugin_s
- timebase : mpd_stream_info_t
- timecode : matroska_index_t
- timecode_scale : demux_matroska_t
- timeoffs_to_sample_count : qt_trak
- timeoffs_to_sample_table : qt_trak
- timeOfTitleDisplay : _PLUGIN_INFO
- timeout : stdin_input_plugin_t, xine_grab_video_frame_s
- timer_count : demux_mng_t
- timescale : qt_info, qt_trak
- timeSinceLastBigGoom : _SOUND_INFO
- timeSinceLastGoom : _SOUND_INFO
- timestamp : asf_demux_stream_t, real_index_entry_t, rmff_pheader_t, transform_in_s, transform_out_t
- timing_info : vdec_hw_h264_vui_t
- timing_info_present_flag : seq_parameter_set_rbsp
- title : asf_content_s, demux_iff_t, demux_matroska_t, demux_mod_t, demux_nsf_t, dvd_input_plugin_s, id3v1_tag_t, matroska_chapter_t, rmff_cont_t, sdpplin_t, trackinfo_t, xine_health_check_s
- title_format : vcd_config_s
- title_info : bluray_input_plugin_t
- title_info_mutex : bluray_input_plugin_t
- title_len : rmff_cont_t
- titleText : _PLUGIN_INFO
- tls : ftp_input_plugin_t, http_input_plugin_t, net_input_plugin_t, xine_tls
- tls_plugin : tls_gnutls_t, tls_openssl_t
- tmode : mpd_input_plugin_s
- tmp_prefix : pvr_input_plugin_t
- toc : vbri_header_t, xing_header_t
- toc_entries : cdrom_toc_t, vbri_header_t
- toc_scale_factor : vbri_header_t
- tone : channel_t
- top : em8300_button_t
- top_bar : dxr3_driver_s
- top_field_first : demux_yuv4mpeg2_t, mpeg2_decoder_s, picture_s, picture_t, sequence_t, vdec_hw_h264_frame_t, vo_frame_s, yuv_decoder_s
- top_field_order_cnt : coded_picture
- top_is_reference : decoded_picture, vdec_hw_h264_info_ref_frame_t
- top_left : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- top_level_list : demux_matroska_t
- top_level_list_max_size : demux_matroska_t
- top_level_list_size : demux_matroska_t
- TopFieldOrderCnt : vdec_hw_h264_frame_int_s
- tot : audio_index_entry_t
- total : xine_query_buffers_data_t
- total_frames : avi_t, cdrom_toc_entry_t
- total_num_native_buffers : fb_driver_s
- total_pts : demux_vmd_t
- total_samples : demux_flac_s, demux_flac_t, xine_flac_streaminfo_block
- total_songs : demux_nsf_t
- total_time : demux_film_t, extra_info_s
- total_tracks : cdrom_toc_t, vcd_input_class_t
- totalframes : demux_tta_t
- totalgoom : _SOUND_INFO
- track : cdda_input_plugin_t, vcdplayer_s, wvheader_t
- track_count : demux_fourxm_t
- track_duration : edit_list_table_t
- track_end_lsn : vcdplayer_s
- track_lsn : vcdplayer_s
- track_mode : cdrom_toc_entry_t
- track_num : matroska_index_t, matroska_track_s
- track_type : matroska_track_s
- tracks : demux_fourxm_t, demux_matroska_t
- trak_count : qt_info
- traks : qt_info
- trans : dvbsub_func_t, osd_object_s, spu_encoder_s, subtitle_clut_s, vo_overlay_s
- transfer_characteristics : mpeg2_sequence_s, picture_s, seq_parameter_set_rbsp
- transform : opengl2_driver_t
- transform_8x8_mode_flag : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- transmission : xine_set_v4l2_data_t
- transparentColor : BitMapHeader
- transport_stream_id : demux_ts_t
- tree : mpd_input_plugin_s
- trick : aos_t
- trick_mode : vdr_metronom_t
- trick_new_mode : vdr_metronom_t
- trick_speed_mode : vdr_video_post_plugin_s
- trigger_drawing : vos_t, xine_video_port_s
- tripple : cdda_input_plugin_t
- ts_current : pnm_s
- ts_last : pnm_s
- ts_per_kbyte : asf_demux_stream_t
- tt : dvd_input_plugin_s
- tt0 : deinterlace_scanline_data_s
- tt1 : deinterlace_scanline_data_s
- tt2 : deinterlace_scanline_data_s
- tt3 : deinterlace_scanline_data_s
- tta : demux_tta_t
- tuned_in : dvb_input_plugin_t
- tuner : dvb_input_plugin_t, v4l_input_plugin_t
- tuner_name : v4l_input_plugin_t
- tv : xine_event_t
- tv_mode : dxr3_driver_s
- tv_switchable : dxr3_driver_s
- tvtime : post_plugin_deinterlace_s
- tvtime_changed : post_plugin_deinterlace_s
- tvtime_last_filmmode : post_plugin_deinterlace_s
- type : _COutputPin, _GSL_StructField, _NODE_TYPE, _OprNodeType, _PARAM, _xine_arg_t, alsa_driver_s::_alsa_dev_info_s, buf_element_s, CEnumMediaTypes, cfg_entry_s, CInputPin, demux_ts_media, directfb_driver_s, encoder_data_s, matroska_sub_track_t, mpd_input_plugin_s, mpd_stream_info_t, noise_parameters_s, plugin_info_t, post_info_t, qt_trak, va_property_t, xine_cfg_entry_s, xine_event_t, xine_module_info_t, xine_mrl_s, xine_nbc_fifo_info_t, xine_nbc_stats_data_t, xine_post_api_parameter_t, xine_post_in_s, xine_post_out_s, xine_post_s, xine_ui_message_data_t
- type_id : xvmc_capabilities_t
- type_specific_data : mdpr_t, rmff_mdpr_t
- type_specific_len : mdpr_t, rmff_mdpr_t
- type_valid : _CMediaSample
- typed_buttonN : dvd_input_plugin_s
- types : _INSTRUCTION